Bug 568930 - Network Manager fails to connect with Sierra Aircard 875
Network Manager fails to connect with Sierra Aircard 875
Status: CLOSED DUPLICATE of bug 548520
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 18:10 EST by Robert Proffitt
Modified: 2010-03-02 02:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 02:48:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
System dmesg output (54.05 KB, application/octet-stream)
2010-02-26 18:10 EST, Robert Proffitt
no flags Details
NM Debug Output (12.72 KB, application/octet-stream)
2010-02-26 19:12 EST, Robert Proffitt
no flags Details

  None (edit)
Description Robert Proffitt 2010-02-26 18:10:12 EST
Created attachment 396701 [details]
System dmesg output

Description of problem:  
Prior to recent sequence of patching F12, NetworkManager connected successfully to AT&T network.  Unsure which, but current kernel/NetworManager components result in no connection.

Hardware:
AT&T Sierra 875 PC-Card
IBM/Lenovo Thinkpad T60


Version-Release number of selected component (if applicable):
kernel-2.6.31.12-174.2.3.fc12.x86_64( and newer)
NetworkManager-0.7.997-2.git20091214.fc12.x86_64

How reproducible:
Tested using 3 most recent kernels - no change

Steps to Reproduce:
1. Insert Aircard
2. Click previously defined AT&T Broadband MediaNet
3. Monitor NetworkManager in panel
4. Error received:  Broadband Disconnected
  
Actual results:
Failure to negotiate and connect

Expected results:
Repeatable successful connections to AT&T MediaNet

Additional info:

/var/log/messages trace:
Feb 26 15:06:45 rproffit kernel: pcmcia_socket pcmcia_socket0: pccard: CardBus card inserted into slot 0
Feb 26 15:06:45 rproffit kernel: pci 0000:16:00.0: PME# supported from D0 D1 D2 D3hot
Feb 26 15:06:45 rproffit kernel: pci 0000:16:00.0: PME# disabled
Feb 26 15:06:45 rproffit kernel: pci 0000:16:00.1: PME# supported from D0 D1 D2 D3hot
Feb 26 15:06:45 rproffit kernel: pci 0000:16:00.1: PME# disabled
Feb 26 15:06:45 rproffit kernel: ohci_hcd 0000:16:00.0: enabling device (0000 -> 0002)
Feb 26 15:06:45 rproffit kernel: ohci_hcd 0000:16:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Feb 26 15:06:45 rproffit kernel: ohci_hcd 0000:16:00.0: OHCI Host Controller
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.0: new USB bus registered, assigned bus number 6
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.0: irq 16, io mem 0xc0000000
Feb 26 15:06:46 rproffit kernel: usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
Feb 26 15:06:46 rproffit kernel: usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Feb 26 15:06:46 rproffit kernel: usb usb6: Product: OHCI Host Controller
Feb 26 15:06:46 rproffit kernel: usb usb6: Manufacturer: Linux 2.6.31.12-174.2.3.fc12.x86_64 ohci_hcd
Feb 26 15:06:46 rproffit kernel: usb usb6: SerialNumber: 0000:16:00.0
Feb 26 15:06:46 rproffit kernel: usb usb6: configuration #1 chosen from 1 choice
Feb 26 15:06:46 rproffit kernel: hub 6-0:1.0: USB hub found
Feb 26 15:06:46 rproffit kernel: hub 6-0:1.0: 1 port detected
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.1: enabling device (0000 -> 0002)
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.1: PCI INT B -> GSI 16 (level, low) -> IRQ 16
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.1: OHCI Host Controller
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.1: new USB bus registered, assigned bus number 7
Feb 26 15:06:46 rproffit kernel: ohci_hcd 0000:16:00.1: irq 16, io mem 0xc0001000
Feb 26 15:06:46 rproffit kernel: usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
Feb 26 15:06:46 rproffit kernel: usb usb7: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Feb 26 15:06:46 rproffit kernel: usb usb7: Product: OHCI Host Controller
Feb 26 15:06:46 rproffit kernel: usb usb7: Manufacturer: Linux 2.6.31.12-174.2.3.fc12.x86_64 ohci_hcd
Feb 26 15:06:46 rproffit kernel: usb usb7: SerialNumber: 0000:16:00.1
Feb 26 15:06:46 rproffit kernel: usb usb7: configuration #1 chosen from 1 choice
Feb 26 15:06:46 rproffit kernel: hub 7-0:1.0: USB hub found
Feb 26 15:06:46 rproffit kernel: hub 7-0:1.0: 1 port detected
Feb 26 15:06:50 rproffit kernel: usb 6-1: new full speed USB device using ohci_hcd and address 2
Feb 26 15:06:50 rproffit kernel: usb 6-1: New USB device found, idVendor=1199, idProduct=6820
Feb 26 15:06:50 rproffit kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Feb 26 15:06:50 rproffit kernel: usb 6-1: Product: AirCard
Feb 26 15:06:50 rproffit kernel: usb 6-1: Manufacturer: Sierra Wireless, Incorporated
Feb 26 15:06:50 rproffit kernel: usb 6-1: configuration #1 chosen from 1 choice
Feb 26 15:06:50 rproffit kernel: usbcore: registered new interface driver usbserial
Feb 26 15:06:50 rproffit kernel: USB Serial support registered for generic
Feb 26 15:06:50 rproffit kernel: usbcore: registered new interface driver usbserial_generic
Feb 26 15:06:50 rproffit kernel: usbserial: USB Serial Driver core
Feb 26 15:06:50 rproffit kernel: USB Serial support registered for Sierra USB modem
Feb 26 15:06:50 rproffit kernel: sierra 6-1:1.0: Sierra USB modem converter detected
Feb 26 15:06:50 rproffit kernel: usb 6-1: Sierra USB modem converter now attached to ttyUSB0
Feb 26 15:06:50 rproffit kernel: usb 6-1: Sierra USB modem converter now attached to ttyUSB1
Feb 26 15:06:50 rproffit kernel: usb 6-1: Sierra USB modem converter now attached to ttyUSB2
Feb 26 15:06:50 rproffit kernel: usbcore: registered new interface driver sierra
Feb 26 15:06:50 rproffit kernel: sierra: v.1.3.7:USB Driver for Sierra Wireless USB modems
Feb 26 15:06:50 rproffit modem-manager: (ttyUSB1) opening serial device...
Feb 26 15:06:50 rproffit modem-manager: (ttyUSB0) opening serial device...
Feb 26 15:06:50 rproffit modem-manager: (ttyUSB2) opening serial device...
Feb 26 15:06:53 rproffit modem-manager: (ttyUSB0) closing serial device...
Feb 26 15:06:53 rproffit modem-manager: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb6/6-1 claimed port ttyUSB0
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): new GSM device (driver: 'sierra')
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): now managed
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2 (reason 2)
Feb 26 15:06:55 rproffit modem-manager: (ttyUSB2) closing serial device...
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3 (reason 0)
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (GSM) connection'
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Feb 26 15:06:55 rproffit modem-manager: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb6/6-1 claimed port ttyUSB2
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): new GSM device (driver: 'sierra')
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): now managed
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2 (reason 2)
Feb 26 15:06:55 rproffit modem-manager: (ttyUSB2) closing serial device...
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3 (reason 0)
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (GSM) connection'
Feb 26 15:06:55 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Feb 26 15:06:55 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Feb 26 15:06:55 rproffit modem-manager: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb6/6-1 claimed port ttyUSB2
Feb 26 15:06:56 rproffit modem-manager: (ttyUSB0) opening serial device...
Feb 26 15:06:56 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Feb 26 15:06:56 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Feb 26 15:07:02 rproffit modem-manager: (ttyUSB1) closing serial device...
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
Feb 26 15:07:07 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 5 (reason 0)
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
Feb 26 15:07:07 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 5 -> 7 (reason 0)
Feb 26 15:07:07 rproffit NetworkManager: <info>  Starting pppd connection
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) started...
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) complete.
Feb 26 15:07:07 rproffit pppd[2807]: Warning: can't open options file /root/.ppprc: Permission denied
Feb 26 15:07:07 rproffit pppd[2807]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so is for pppd version 2.4.4, this is 2.4.5
Feb 26 15:07:07 rproffit NetworkManager: <WARN>  ppp_exit_code(): ppp pid 2807 exited with error: pppd options error
Feb 26 15:07:07 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 7 -> 9 (reason 14)
Feb 26 15:07:07 rproffit NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (GSM) connection' invalid.
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
Feb 26 15:07:07 rproffit NetworkManager: <info>  Activation (ttyUSB0) failed.
Feb 26 15:07:07 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3 (reason 0)
Feb 26 15:07:07 rproffit NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> disabling)
Feb 26 15:07:07 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disconnecting)
Feb 26 15:07:08 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
Feb 26 15:07:08 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabling)
Feb 26 15:07:08 rproffit modem-manager: (ttyUSB0) closing serial device...
Feb 26 15:07:08 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)
Comment 1 Dan Williams 2010-02-26 18:50:52 EST
Could you do the following for me, as root?

1) service NetworkManager stop
2) NM_PPP_DEBUG=1 NetworkManager --no-daemon
3) reproduce the problem
4) attach the NM output to this bug

Thanks!
Comment 2 Robert Proffitt 2010-02-26 19:12:58 EST
Created attachment 396704 [details]
NM Debug Output
Comment 3 Robert Proffitt 2010-02-27 21:04:16 EST
Downgraded from ppp-2.4.5-2 to ppp-2.4.4-13, now Aircard connects successfully, as expected.
Comment 4 Robert Proffitt 2010-02-27 21:06:08 EST
Successful Connection log message:

Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) starting connection 'AT&T MEdia Net'
Feb 27 19:01:15 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Feb 27 19:01:15 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 6 (reason 0)
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Feb 27 19:01:15 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 6 -> 4 (reason 0)
Feb 27 19:01:15 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Feb 27 19:01:15 rproffit modem-manager: (ttyUSB0) opening serial device...
Feb 27 19:01:15 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Feb 27 19:01:15 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Feb 27 19:01:26 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Feb 27 19:01:26 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
Feb 27 19:01:26 rproffit modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
Feb 27 19:01:26 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 5 (reason 0)
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
Feb 27 19:01:26 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 5 -> 7 (reason 0)
Feb 27 19:01:26 rproffit NetworkManager: <info>  Starting pppd connection
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) started...
Feb 27 19:01:26 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) complete.
Feb 27 19:01:26 rproffit pppd[2789]: Warning: can't open options file /root/.ppprc: Permission denied
Feb 27 19:01:26 rproffit pppd[2789]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
Feb 27 19:01:26 rproffit kernel: PPP generic driver version 2.4.2
Feb 27 19:01:26 rproffit pppd[2789]: pppd 2.4.4 started by root, uid 0
Feb 27 19:01:26 rproffit pppd[2789]: Using interface ppp0
Feb 27 19:01:26 rproffit pppd[2789]: Connect: ppp0 <--> /dev/ttyUSB0
Feb 27 19:01:26 rproffit pppd[2789]: CHAP authentication succeeded
Feb 27 19:01:26 rproffit pppd[2789]: CHAP authentication succeeded
Feb 27 19:01:26 rproffit kernel: PPP Deflate Compression module registered
Feb 27 19:01:35 rproffit pppd[2789]: Could not determine remote IP address: defaulting to 10.64.64.64
Feb 27 19:01:35 rproffit dnsmasq[1890]: reading /etc/resolv.conf
Feb 27 19:01:35 rproffit dnsmasq[1890]: using nameserver 192.168.1.200#53
Feb 27 19:01:35 rproffit dnsmasq[1871]: reading /etc/resolv.conf
Feb 27 19:01:35 rproffit dnsmasq[1871]: using nameserver 192.168.1.200#53
Feb 27 19:01:35 rproffit pppd[2789]: local  IP address 10.12.190.41
Feb 27 19:01:35 rproffit pppd[2789]: remote IP address 10.64.64.64
Feb 27 19:01:35 rproffit pppd[2789]: primary   DNS address 10.11.12.13
Feb 27 19:01:35 rproffit pppd[2789]: secondary DNS address 10.11.12.14
Feb 27 19:01:35 rproffit NetworkManager: <info>  PPP manager(IP Config Get) reply received.
Feb 27 19:01:35 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Feb 27 19:01:35 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) started...
Feb 27 19:01:35 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) scheduled...
Feb 27 19:01:35 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) complete.
Feb 27 19:01:35 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) started...
Feb 27 19:01:36 rproffit NetworkManager: <info>  Policy set 'Auto homenet' (wlan0) as default for routing and DNS.
Feb 27 19:01:36 rproffit NetworkManager: <info>  (ttyUSB0): device state change: 7 -> 8 (reason 0)
Feb 27 19:01:36 rproffit NetworkManager: <info>  Activation (ttyUSB0) successful, device activated.
Feb 27 19:01:36 rproffit NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) complete.
Feb 27 19:01:37 rproffit ntpd[1731]: Listening on interface #8 ppp0, 10.12.190.41#123 Enabled
Feb 27 19:02:49 rproffit dnsmasq[1890]: reading /etc/resolv.conf
Feb 27 19:02:49 rproffit dnsmasq[1890]: using nameserver 4.2.2.2#53
Feb 27 19:02:49 rproffit dnsmasq[1890]: using nameserver 4.2.2.1#53
Feb 27 19:02:49 rproffit dnsmasq[1890]: using nameserver 192.168.1.200#53
Feb 27 19:02:49 rproffit dnsmasq[1871]: reading /etc/resolv.conf
Feb 27 19:02:49 rproffit dnsmasq[1871]: using nameserver 4.2.2.2#53
Feb 27 19:02:49 rproffit dnsmasq[1871]: using nameserver 4.2.2.1#53
Feb 27 19:02:49 rproffit dnsmasq[1871]: using nameserver 192.168.1.200#53
Feb 27 19:04:30 rproffit ntpd[1731]: synchronized to 207.171.30.106, stratum 1
Comment 5 Dan Williams 2010-03-02 02:48:06 EST
The ppp version problem is bug 548520.  Note that you really do want ppp 2.4.5 since you're getting the bogus nameserver problem (which NM covers up by using 4.2.2.x instead).  See the link to the fixed packages in that bug, or you can simply:

yum update NetworkManager ppp

to get the fixed packages now that they are in F12-updates.

*** This bug has been marked as a duplicate of bug 548520 ***

Note You need to log in before you can comment on or make changes to this bug.